Author Topic: VirtueMart 3.2.6 VM_REV={svn.lastrevision}  (Read 1090 times)

alatak

  • Contributing Developer
  • Full Member
  • *
  • Posts: 2047
    • alatak.net
VirtueMart 3.2.6 VM_REV={svn.lastrevision}
« on: November 28, 2017, 10:17:40 am »
Hello

VirtueMart 3.2.6

The constant VM_REV has not been set to the correct VM version.
(administrator/components/com_virtuemart/version.php)

In version >= 9194, the function vmJsApi::addJScript had one more parameter.
So 3rd parties developers adding a script via this function must check VM_REV.

and now the scripts are not loaded at all.

 

alatak

  • Contributing Developer
  • Full Member
  • *
  • Posts: 2047
    • alatak.net
Re: VirtueMart 3.2.6 VM_REV={svn.lastrevision}
« Reply #1 on: November 28, 2017, 21:15:21 pm »
Hello

Remplacing this file  administrator/components/com_virtuemart/version.php with the one attached solves the problem.

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 10094
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: VirtueMart 3.2.6 VM_REV={svn.lastrevision}
« Reply #2 on: November 28, 2017, 21:51:37 pm »
yehyeh is already fixed in the svn. The old variable created suddenly a problem. I think the reason is our new svn server
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/